# eric6.Preferences.ConfigurationPages.EditorKeywordsPage

Module implementing the editor highlighter keywords configuration page.

### Global Attributes

None

### Classes

EditorKeywordsPage | Class implementing the editor highlighter keywords configuration page.

### Functions

create | Module function to create the configuration page.

## EditorKeywordsPage

Class implementing the editor highlighter keywords configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorKeywordsPage

### Class Attributes

MaxKeywordSets

### Class Methods

None

### Methods

EditorKeywordsPage | Constructor
on_allDefaultButton_clicked | Private slot to set all keyword sets of the current language to default values.
on_defaultButton_clicked | Private slot to set the current keyword set to default values.
on_languageCombo_activated | Private slot to fill the keywords edit.
on_setSpinBox_valueChanged | Private slot to fill the keywords edit.
save | Public slot to save the editor highlighter keywords configuration.

### Static Methods

None

#### EditorKeywordsPage (Constructor)

EditorKeywordsPage()

Constructor

#### EditorKeywordsPage.on_allDefaultButton_clicked

on_allDefaultButton_clicked()

Private slot to set all keyword sets of the current language to default values.

#### EditorKeywordsPage.on_defaultButton_clicked

on_defaultButton_clicked()

Private slot to set the current keyword set to default values.

#### EditorKeywordsPage.on_languageCombo_activated

on_languageCombo_activated(language)

Private slot to fill the keywords edit.

language (str)
  selected language

#### EditorKeywordsPage.on_setSpinBox_valueChanged

on_setSpinBox_valueChanged(kwSet)

Private slot to fill the keywords edit.

kwSet (int)
  number of the selected keyword set

#### EditorKeywordsPage.save

save()

Public slot to save the editor highlighter keywords configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg (ConfigurationWidget)
  reference to the configuration dialog

Returns:
  reference to the instantiated page

Return Type:
  ConfigurationPageBase

Up